## org.apache.wml.dom
Class WMLDOMImplementationImpl

    java.lang.Object
      org.apache.xerces.dom.CoreDOMImplementationImpl
          org.apache.xerces.dom.DOMImplementationImpl
              org.apache.wml.dom.WMLDOMImplementationImpl

All Implemented Interfaces:
  WMLDOMImplementation, org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

    public class WMLDOMImplementationImpl

extends org.apache.xerces.dom.DOMImplementationImpl
implements WMLDOMImplementation

Version:
  $Id: WMLDOMImplementationImpl.java 447257 2006-09-18 05:40:07Z mrglavas $
Author:
  David Li

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`WMLDOMImplementationImpl()`

Method Summary
`org.w3c.dom.Document` `createDocument(java.lang.String namespaceURI, java.lang.String qualifiedName, org.w3c.dom.DocumentType doctype)` Introduced in DOM Level 2.
`static org.w3c.dom.DOMImplementation` `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`hasFeature`

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocumentType, getFeature, hasFeature`

Constructor Detail

### WMLDOMImplementationImpl

    public WMLDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

### createDocument

    public org.w3c.dom.Document createDocument(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName,
                                               org.w3c.dom.DocumentType doctype)
                                        throws org.w3c.dom.DOMException

  Description copied from class: `org.apache.xerces.dom.DOMImplementationImpl`
  Introduced in DOM Level 2.

  Creates an XML Document object of the specified type with its document element.

  Specified by:
    `createDocument` in interface `org.w3c.dom.DOMImplementation`
  Overrides:
    `createDocument` in class `org.apache.xerces.dom.DOMImplementationImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the document element to create, or null.
    `qualifiedName` - The qualified name of the document element to create.
    `doctype` - The type of document to be created or null.

    When doctype is not null, its Node.ownerDocument attribute is set to the document being created.

  Returns:
    Document A new Document object.
  Throws:
    `org.w3c.dom.DOMException` - WRONG_DOCUMENT_ERR: Raised if doctype has already been used with a different document.
  See Also:
    `DOMImplementation`

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.